#pragma once

#include "CoreMinimal.h"
#include "Subsystems/GameInstanceSubsystem.h"
#include "EAkCallbackType.h"
#include "CommentatorSubsystem.generated.h"

class UAkCallbackInfo;

UCLASS(Blueprintable)
class DEADBYDAYLIGHT_API UCommentatorSubsystem : public UGameInstanceSubsystem
{
	GENERATED_BODY()

private:
	UFUNCTION(BlueprintCallable)
	void OnCommentatorAudioFinished(EAkCallbackType callbackType, UAkCallbackInfo* callbackInfo);

public:
	UCommentatorSubsystem();
};

FORCEINLINE uint32 GetTypeHash(const UCommentatorSubsystem) { return 0; }
